com.hazelcast.config

## Class JoinConfig

- java.lang.Object
- - com.hazelcast.config.JoinConfig

-     public class JoinConfig
      extends Object

  Contains the 3 different join configurations; TCP-IP/multicast/AWS. Only one of them should be enabled!

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AwsConfig` | `getAwsConfig()`
    `DiscoveryConfig` | `getDiscoveryConfig()` Returns the currently defined `DiscoveryConfig`
    `MulticastConfig` | `getMulticastConfig()`
    `TcpIpConfig` | `getTcpIpConfig()`
    `JoinConfig` | `setAwsConfig(AwsConfig awsConfig)`
    `JoinConfig` | `setDiscoveryConfig(DiscoveryConfig discoveryConfig)` Sets a custom defined `DiscoveryConfig`
    `JoinConfig` | `setMulticastConfig(MulticastConfig multicastConfig)`
    `JoinConfig` | `setTcpIpConfig(TcpIpConfig tcpIpConfig)`
    `String` | `toString()`
    `void` | `verify()` Verifies this JoinConfig is valid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinConfig

          public JoinConfig()

  - ### Method Detail

    - #### getMulticastConfig

          public MulticastConfig getMulticastConfig()

      Returns:
        the multicastConfig join configuration

    - #### setMulticastConfig

          public JoinConfig setMulticastConfig(MulticastConfig multicastConfig)

      Parameters:
        `multicastConfig` - the multicastConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if multicastConfig is null

    - #### getTcpIpConfig

          public TcpIpConfig getTcpIpConfig()

      Returns:
        the tcpIpConfig

    - #### setTcpIpConfig

          public JoinConfig setTcpIpConfig(TcpIpConfig tcpIpConfig)

      Parameters:
        `tcpIpConfig` - the tcpIpConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if tcpIpConfig is null

    - #### getAwsConfig

          public AwsConfig getAwsConfig()

      Returns:
        the awsConfig join configuration

    - #### setAwsConfig

          public JoinConfig setAwsConfig(AwsConfig awsConfig)

      Parameters:
        `awsConfig` - the AwsConfig join configuration to set
      Throws:
        `IllegalArgumentException` - if awsConfig is null

    - #### getDiscoveryConfig

          public DiscoveryConfig getDiscoveryConfig()

      Returns the currently defined `DiscoveryConfig`
      Returns:
        current DiscoveryProvidersConfig instance

    - #### setDiscoveryConfig

          public JoinConfig setDiscoveryConfig(DiscoveryConfig discoveryConfig)

      Sets a custom defined `DiscoveryConfig`
      Parameters:
        `discoveryConfig` - configuration to set
      Throws:
        `IllegalArgumentException` - if discoveryProvidersConfig is null

    - #### verify

          public void verify()

      Verifies this JoinConfig is valid. At most a single joiner should be active.
      Throws:
        `IllegalStateException` - when the join config is not valid

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.